Mailinglist Archive: opensuse-factory (798 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170407 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170407

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (17.0.1 -> 17.0.3)
SuSEfirewall2 (3.6.322 -> 3.6.346)
brltty
cronie
cryptsetup (1.7.2 -> 1.7.4)
dialog
fetchmail
gpgme (1.8.0 -> 1.9.0)
inn
kernel-firmware (20170303 -> 20170404)
libvirt (3.1.0 -> 3.2.0)
mcelog
mdadm (3.4 -> 4.0)
mosh (1.2.6 -> 1.3.0)
multipath-tools (0.6.2+suse20160928.8939fb6 -> 0.6.4+103+suse.bcb5d0f4)
open-iscsi
perl-MRO-Compat (0.12 -> 0.13)
pfstools
postfix
xlockmore

=== Details ===

==== Mesa ====
Version update (17.0.1 -> 17.0.3)
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1
Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva
libOSMesa8 libOSMesa8-32bit libgbm1 libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libwayland-egl1 libxatracker2

- Prepare building OpenCL for non-x86 architectures, too
* s390x can build it right away (swrast)
* %arm aarch64 ppc64 ppc64le depend on LLVM amdgpu target for r600
- Fix typo in specfile comment
- update to 17.0.3
- change Mesa.keyring to new release manager key
* fdo#96743 [BYT, HSW, SKL, BXT, KBL] GPU hangs with GfxBench 4.0 CarChase
* fdo#99246 [d3dadapter+radeonsi] EVE-Online : hang on wormhole sight
* fdo#100061 LODQ instruction generated with invalid dst mask
* fdo#100182 Flickering in The Talos Principle on Sky Lake GT4
* radeonsi: add new polaris12 pci id
* many fixes for RADV, ANV, i915, radeonsi and freedreno drivers
- specfile: Remove requires to libglvnd0/libglvnd-devel from
baselibs.conf when libglvnd build has been disabled; ugly ...
- specfile: only require libglvnd0/libglvnd-devel, if libglvnd build
is enabled
- baselibs.conf: added requires to libglvnd0/libglvnd-devel where
needed
- disable libglvnd for openSUSE Leap 42.x and sle12
- update to 17.0.2
* fdo#97988 [radeonsi] playing back videos with VDPAU exhibits
deinterlacing/anti-aliasing issues not visible with VA-API
* fdo#99484 Crusader Kings 2 - Loading bars, siege bars, morale bars, etc.
do not render correctly
* fdo#100049 ralloc: Make sure ralloc() allocations match malloc()'s
alignment. causes seg fault in 32bit build
* many fixes for ANV, RADV, Vulkan and i965 + radeonsi drivers
- fedora_0001-glxglvnddispatch-Add-missing-dispatch-for-GetDriverC.patch
* Fix glXGetDriverConfig not working with glvnd
(https://bugzilla.redhat.com/show_bug.cgi?id=1429894)
- Fix indirect rendering, add libGLX_indirect.so.0 symlink
(https://bugzilla.redhat.com/show_bug.cgi?id=1427174)
- added Requires to libglvnd0/libglvnd-devel where still needed
- patches picked from fedora:
http://pkgs.fedoraproject.org/cgit/rpms/mesa.git/tree/
- re-enabled GLES build with libglvnd build, just not package GLES
libs and require libglvnd0/libglvnd-devel instead
- archlinux_0001-Fix-linkage-against-shared-glapi.patch
* fixes libglvnd support for osmesa
- archlinux_glvnd-fix-gl-dot-pc.patch
* fixes libglvnd support in pkgconfig file
- archlinux_0001-EGL-Implement-the-libglvnd-interface-for-EGL-v2.patch/
archlinux_0002-fixup-EGL-Implement-the-libglvnd-interface-for-EGL-v.patch
* adds libglvnd support for EGL
- patches picked from archlinux:
https://git.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/mesa
- archlinux_glapi-Link-with-glapi-when-built-shared.patch
* currently needed for libglvnd support; picked from archlinux
https://git.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/mesa
- fixed typo in Requires to libglvnd
- build with libglvnd support enabled (can be easily disabled via
specfile define); requires libglvnd runtime and development
packages; disabled build of GLESv1/v2 libs/packages provided now
via libglvnd

==== SuSEfirewall2 ====
Version update (3.6.322 -> 3.6.346)

Update to new git release 3.6.346:
- harmonized the logic of setting IPv4/IPv6 forwarding when FW_ROUTE is set to
"yes". Previously only IPv4 forwarding was exclusively set by SuSEfirewall2,
while IPv6 forwarding could only be set via "yast2 firewall". With this
update you should always configure IPv4/IPv6 forwarding with yast.
SuSEfirewall2 will still provide backwards compatibility to temporarily
enable IPv4/IPv6 forwarding if not already enabled system wide. Also
forwarding can now be configured separately for IPv4/IPv6 if only one of
both is required. See FW_ROUTE documentation. (bnc#572202)
- ignore the bootlock when incremental updates for hotplugged or virtual
devices are coming in during boot. This prevents lockups for example when
drbd is used with FB_BOOT_FULL_INIT. (bnc#785299)
- fixed a race condition in systemd unit files that could cause the
SuSEfirewall2_init unit to sporadically fail, because /tmp was not
there/writable yet. (bnc#1014987)
- support new kernels >= 4.7 that run with
net.netfilter.nf_conntrack_helper = 0
by default. Currently only netbios/samba is fully covered. (bnc#986527)
- allow mdns multicast packets input in unconfigured firewall setups (no zones
configured) to make zeroconf setups (like avahi) work out of the box for
typical desktops connecting via DSL/WiFi router scenarios. (bnc#959707)
- refurbished the documentation in /usr/share/doc. (bnc#884037)
- updated GPL license texts with the current address from FSF
- support for IPv6 in FW_TRUSTED_NETS config variable. (bnc#841046)
- don't log dropped broadcast IPv6 broadcast/multicast packets by default to
avoid cluttering the kernel log. (bnc#847193)
- recognize a running libvirtd instance and cause it to recreate its custom
firewall rules on SuSEfirewall2 reload, to not break VM networking.
(bnc#884398)
- only apply FW_KERNEL_SECURITY proc settings, if not overriden by the
administrator in /etc/sysctl.conf (bnc#906136). This allows you to benefit
from some of the kernel security settings, while overwriting others.
- don't enable FW_LO_NOTRACK by default any more, because it breaks expected
behaviour in some scenarios (bnc#916771)
- increase security when sourcing external script files by checking file
ownership and permissions first (to avoid sourcing untrusted files owned by
non-root or world-writable)
- fixed "/usr/sbin/SUSEfirewall log" pretty logfile parsing functionality when
running under systemd with journald.

==== brltty ====
Subpackages: brltty-driver-at-spi2 brltty-driver-brlapi brltty-driver-espeak
brltty-driver-speech-dispatcher brltty-driver-xwindow libbrlapi0_6
python3-brlapi xbrlapi

- Replace brltty.format-error.patch with the upstream fix; our
current patch doesn't appear to be sufficient (boo#1030240).
- Add -Wformat to work around build failure (boo#1030240)
Add brltty.format-error.patch
Add brltty.makedev.patch

==== cronie ====
Subpackages: cron

- update to 1.5.1
* crontab: Use temporary file name that is ignored by crond.
* crond: Inherit PATH from the crond environment if -P option
is used.
* crond: Remove hardcoded "system_u" SELinux user, use the
SELinux user
of the running crond.
* anacron: Small cleanups and fixes.
* crond: Fix longstanding race condition on repeated crontab
modification.
- refresh cronie-pam_config.diff
- get rid of %{name} macros in the patch names
- use %{ext_man} macro for anacron man pages
- fedorahosted.org was retired on March 1st, 2017
* update Url and Source address
- cleanup with spec-cleaner

==== cryptsetup ====
Version update (1.7.2 -> 1.7.4)
Subpackages: libcryptsetup4 libcryptsetup4-32bit

- Update to version 1.7.4:
* Allow to specify LUKS1 hash algorithm in Python luksFormat
wrapper.
* Use LUKS1 compiled-in defaults also in Python wrapper.
* OpenSSL backend: Fix OpenSSL 1.1.0 support without backward
compatible API.
* OpenSSL backend: Fix LibreSSL compatibility.
* Check for data device and hash device area overlap in
veritysetup.
* Fix a possible race while allocating a free loop device.
* Fix possible file descriptor leaks if libcryptsetup is run from
a forked process.
* Fix missing same_cpu_crypt flag in status command.
* Various updates to FAQ and man pages.
- Changes for version 1.7.3:
* Fix device access to hash offsets located beyond the 2GB device
boundary in veritysetup.
* Set configured (compile-time) default iteration time for
devices created directly through libcryptsetup
* Fix PBKDF2 benchmark to not double iteration count for specific
corner case.
* Verify passphrase in cryptsetup-reencrypt when encrypting a new
drive.
* OpenSSL backend: fix memory leak if hash context was repeatedly
reused.
* OpenSSL backend: add support for OpenSSL 1.1.0.
* Fix several minor spelling errors.
* Properly check maximal buffer size when parsing UUID from
/dev/disk/.

==== dialog ====

- Update to version 1.3-20170131
* use DLG_TRACE macro consistently to make "--disable-trace" configure
option work.
* modify buildlist widget to support option "--reorder" for to allow
user to reorder the data based on the sequence of selections
(discussion with Paraic O'Ceallaigh).
* fill background color on unused parts of buildlist.
* fix a minor error in buildlist which let pageup switch columns.
* change several calls to dlg_trace_msg to prefix with "#" to make
the trace logs more consistent for parsing.
* add samples/run_test.sh
* further improve performance with very long command-lines by changes
to howmany_tags().
* modify dlg_string_to_argv() to convert escaped double-quotes to
plain double-quotes when within a double-quoted string.
* modify makefile to apply CFLAGS to linking
* modify dlg_string_to_argv() to ignore escaped newlines except when
quoted, fixing a problem with samples/checklist9.
* interpret $DIALOGOPTS before expanding "--file", etc., to allow
the environment variable to turn on tracing in that process.
* improve performance when processing very long command lines, e.g.,
using "--file" by changing dialog_opts[] to an array of pointers to
the expanded argv[] (discussion with Lars Tauber).
* modified autoconf macros
+ CF_CC_ENV_FLAGS amend the last change to move only the
preprocessor, optimization and warning flags to CPPFLAGS and
CFLAGS, leaving the residue in CC. That happens to work for gcc's
various "model" options, but may require tuning for other compilers
+ CF_LARGEFILE workaround for clang exit-code vs warnings
+ CF_MATH_LIB quiet strict gcc warning
+ CF_WITH_LIBTOOL fix a few places in configure/build scripts where
DESTDIR and rpath were combined
+ CF_XOPEN_SOURCE add "uclinux" to list of Linux's
* update config.guess, config.sub

==== fetchmail ====

- prerequire group(daemon) to meet new tumbleweed user handling

==== gpgme ====
Version update (1.8.0 -> 1.9.0)
Subpackages: libgpgme-devel libgpgme11 libgpgmepp6 libqgpgme7

- gpgme 1.9.0:
* Clarified meaning of the 'expire' parameter of gpgme_op_createkey
and gpgme_op_createsubkey. New flag to force a key without an
expiration date.
* New function gpgme_op_keylist_from_data_start to list keys from
data objects without importing them.
* New function gpgme_op_set_uid_flag to flag a key as primary.
* New function gpgme_op_decrypt_ext to run decryption with special
flags. This can for example be used to unwrap keys (remove only
the encryption layer).
* New encryption flags to wrap a key (adding an encryption layer to
an OpenPGP message) or to create anonymously encrypted messages.
* Support for adduid and revuid operations in the C++ bindings.
* Support for smartcard key generation in the C++ bindings.
* Several new functions for the Python binding.
* Many smaller bug fixes.
* Interface changes relative to the 1.8.0 release:
gpgme_op_createkey CHANGED: Meaning of 'expire' parameter.
gpgme_op_createsubkey CHANGED: Meaning of 'expire' parameter.
GPGME_CREATE_NOEXPIRE NEW.
gpgme_key_t EXTENDED: New field 'origin'.
gpgme_key_t EXTENDED: New field 'last_update'.
gpgme_subkey_t EXTENDED: New field 'is_de_vs'.
gpgme_user_id_t EXTENDED: New field 'origin'.
gpgme_user_id_t EXTENDED: New field 'last_update'.
gpgme_op_keylist_from_data_start NEW.
gpgme_op_set_uid_flag_start NEW.
gpgme_op_set_uid_flag NEW.
gpgme_op_decrypt_ext_start NEW.
gpgme_op_decrypt_ext NEW.
GPGME_ENCRYPT_THROW_KEYIDS NEW.
GPGME_ENCRYPT_WRAP NEW.
GPGME_DECRYPT_VERIFY NEW.
GPGME_DECRYPT_UNWRAP NEW.
gpgme_data_rewind UN-DEPRECATE.
cpp: Context::revUid(const Key&, const char*) NEW.
cpp: Context::startRevUid(const Key&, const char*) NEW.
cpp: Context::addUid(const Key&, const char*) NEW.
cpp: Context::startAddUid(const Key&, const char*) NEW.
cpp: Key::UserID::revoke() NEW.
cpp: Key::addUid() NEW.
cpp: Key::isDeVs NEW.
cpp: GpgGenCardKeyInteractor NEW.
cpp: Subkey::keyGrip NEW.
cpp: Subkey::isDeVs NEW.
cpp: Data::toKeys NEW.
cpp: Context::setDecryptFlags NEW.
cpp: Context::decrypt EXTENDED: Flags added.
cpp: Context::startDecrypt EXTENDED: Flags added.
cpp: Context::decryptAndVerify EXTENDED: Flags added.
cpp: Context::startCombinedDecryptionAndVerification EXTENDED: Flags.
cpp: Context::encryptFlags EXTENDED: New flags.
qt: CryptoConfig::stringValueList() NEW.
py: Context.__init__ EXTENDED: New keyword arg home_dir.
py: Context.home_dir NEW.
py: Context.keylist EXTENDED: New keyword arg mode.
py: Context.keylist EXTENDED: New keyword arg source.
py: Context.create_key NEW.
py: Context.create_subkey NEW.
py: Context.key_add_uid NEW.
py: Context.key_revoke_uid NEW.
py: Context.key_sign NEW.
py: Context.key_tofu_policy NEW.
py: core.pubkey_algo_string NEW.
py: core.addrspec_from_uid NEW.
- drop upstreamed patches:
* gpgme-include_functional.patch
* remove-a-forgotten-instance-of-libsuffix.diff
- Re-conditionalize python builds, to allow gpgme to build on
Leap 42.3 (python tests fail with an older gpg, see
gpg issue 3008)
- Enable Qt build also on Leap 42.3 (needed for KDE PIM)

==== inn ====

- Add directories formerly owned by filesystem
- Require group and user news
- Require group uucp

==== kernel-firmware ====
Version update (20170303 -> 20170404)
Subpackages: ucode-amd

- Update to version 20170404:
* linux-firmware: intel: Update Broxton audio firmware
* nfp: Add firmware 0.6.1
* mediatek: update MT8173 VPU firmware for unsupported VP9 profiles
* nvidia: add GP10B signed firmware
* nvidia: fix GP107 signed firmware
- Add kernel-firmware-rpmlintrc as some firmware is binary
- Update to version 20170314:
* linux-firmware: update Marvell SD8897-B0 firmware image
* linux-firmware: update Marvell PCIe-USB8997 firmware image
* linux-firmware: update Marvell PCIe-USB8997 wifi-only firmware image
* linux-firmware: Update firmware patch for Intel Bluetooth, 7265
* linux-firmware: Update firmware patch for Intel Bluetooth,8260
* linux-firmware: Update firmware file for Intel Bluetooth,8265
* brcm: update firmware for BCM43340/1 SDIO devices
* ath10k: QCA6174 hw3.0: update board-2.bin
* qed: Add firmware 8.15.3.0

==== libvirt ====
Version update (3.1.0 -> 3.2.0)
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- Update to libvirt 3.2.0
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Dropped patches:
67dcb797-virTimeBackOffWait-sleepcap.patch,
85af0b80-qemu-adaptive-montimeout.patch,
d68cb4f55-extract-the-request-sending-code-from-virNetlin.patch,
754515b7d-add-virNetlinkDumpCommand.patch,
3ee35d7d6-more-uses-of-SYSCTL_PATH.patch,
5dd607059-add-virNetDevGetName.patch,
00d28a78b-check-accept_ra-before-enabling-ipv6-forward.patch
- Add Conflicts=xendomains.service to libvirtd service
suse-libvirtd-service.patch
bsc#1015348
- RPM group fix
- Fail to start network instead of losing routes if IPv6 forwarding
is required. bsc#1025252
Added patches:
00d28a78b-check-accept_ra-before-enabling-ipv6-forward.patch
3ee35d7d6-more-uses-of-SYSCTL_PATH.patch
5dd607059-add-virNetDevGetName.patch
754515b7d-add-virNetlinkDumpCommand.patch
d68cb4f55-extract-the-request-sending-code-from-virNetlin.patch

==== mcelog ====

- Package also includes fixes for (through previous version updates below):
* Add mcelog-skylake.patch patch to support Skylake Xeons (fate#319698)
* Add skylake support (bnc#946734)
* Avoid warnings at boot up (bsc#920197)
* Knights Landing (fate#319507)
* Broadwell Ex and Ep (fate#319697)
* Different Skylake models (fate#319696)

==== mdadm ====
Version update (3.4 -> 4.0)

- New upstream release 4.0
Multiple bugfixes and various enhancements
including IMSM support for bad blocks and 4K block devices.
(FATE#321941)
- DELETE 0001-super1-Clear-memory-allocated-for-superblock-bitmap-.patch
this was included upstream
- 0001-Generic-support-for-consistency-policy-and-PPL.patch
- 0002-Detail-show-consistency-policy.patch
- 0003-imsm-PPL-support.patch
- 0004-super1-PPL-support.patch
- 0005-Add-ppl-and-no-ppl-options-for-update.patch
- 0006-Grow-support-consistency-policy-change.patch
Add support for Partial Parity Logs
(FATE#321941)
- 0007-udev-md-raid-assembly.rules-Skip-non-ready-devices.patch
(bsc#956236)
- 0008-Retry-HOT_REMOVE_DISK-a-few-times.patch
(bsc#808647)
- 0009-Introduce-sys_hot_remove_disk.patch
(bsc#974154)
- 0010-Add-force-flag-to-hot_remove_disk.patch
(bsc#808647)
- 0011-Detail-handle-non-existent-arrays-better.patch
(bsc#966773)

==== mosh ====
Version update (1.2.6 -> 1.3.0)

-Update to v 1.3.0
* New features:
* Change website URLs from http://mosh.mit.edu to https://mosh.org.
(Keith Winstein)
* Add --no-ssh-pty option for Dropbear compatibility and other issues.
* Switch to semantic versioning, making this version 1.3.0 instead
of 1.2.7.

==== multipath-tools ====
Version update (0.6.2+suse20160928.8939fb6 -> 0.6.4+103+suse.bcb5d0f4)
Subpackages: kpartx

- spec file changes suggested by factory review team (bsc#1030699)
* RPM group adjustments.
* Avoid %__ macro indirections
- Enable rados for SLES only for x86_64 and aarch64 (ceph is currently
disabled on SLES on s390x and ppc64le) (bsc#1030699)
- Downgrade to version 0.6.4+103+suse.bcb5d0f4:
* temporarily remove commit "multipathd: fix SIGUSR2 handling"
until it's merged in official repo (bsc#1030699)
- Spec file: disable librados for architectures for which ceph
is not built
- Spec file: enable librados by default for SLES12 SP3, disable
it on Leap <= 42.1
- Update to version 0.6.4+104+suse.ac0df678:
* multipathd: fix SIGUSR2 handling
- Update to version 0.6.4+103+suse.bcb5d0f4:
* changed to official github repo openSUSE/multipath-tools
(no changes code-wise)
- Spec file: Added dependency on sg3_utils (#boo1028857)
- spec file changes: optional librados and libdmmp support
* enabled by default on Factory and Leap
(disable with --without-rados, --without-libdmmp)
* disabled by default on SLES12
(enable with --with-rados, --with-libdmmp)
* libdmmp0_1_0 and libdmmp-devel as separate packages
* minor fixes for RPMLINT warnings
- Update to version 0.6.4+102.0119472d:
* rebased, code-wise identical to previous checkout
- Update to version 0.6.4+102.df7d367e:
* libmultipath/propsel: Do not select sysfs prioritizer for RDAC arrays
(bsc#1004858)
- Update to version 0.6.4+101.f01ef4da (SLES12 SP2 changes wrt upstream):
* Make libdmmp build optional
* multipath.rules: use -i flag to multipath
* kpartx: create symlinks for dmraid devices
* kpartx: Add udev compability rules for SUSE
* libmultipath/checkers: make RADOS checker optional
* multipathd: fixup check for new path states (bsc#1019798)
* tur: Add pthread_testcancel() (bsc#101979)
* kpartx: sanitize delete partitions (bsc#100869)
* libmultipath: coalesce_paths: trigger uevent if nothing done
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: differentiate ACT_NOTHING and ACT_IMPOSSIBLE
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: reload map if not known to udev
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: sysfs_attr_set_value: use const char*
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: select_action: check special features separately
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: disassemble_map: treat aminio like assemble_map does
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: disassemble_map: skip no_path_retry check
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: setup_feature: handle "retain_attached_hw_handler"
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: setup_feature: print log msg if no_path_retry cant be set
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* libmultipath: setup_features: log msg if queue_if_no_path is ignored
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* multipathd: use weaker "force_reload" at startup
(bsc#998906, bsc#998893, bsc#1005763, bsc#1011400)
* multipathd: imply -n if find_multipaths is set (bsc#1012910)
* multipath: ignore -i if find_multipaths is set (bsc#1012910)
* libmultipath: move suspend logic to _dm_flush_map (bsc#986838)
* multipath -ll: set DI_SERIAL (bsc#991432)
* libmultipath: use existing alias from bindings file (bsc#1005255)
* libmultipath/discovery: do not cache 'access_state' sysfs attribute
(bsc#1004858)
* multipathd: issue systemd READY after initial configuration (bsc#1006469)
* multipath: avoid crash when using modified configuration (bsc#1000914)
* multipathd: Set CLI timeout correctly (bsc#999061)
* libmultipath: Do not crash on empty features (bsc#994812)
* libmultipath: fall back to search paths by devt (bsc#995645)
* multipathd: set timeout for CLI commands correctly (bsc#999061)
* Invalid error code when using multipathd CLI
* multipath: do not check daemon from udev rules (bsc#986734)
* Add support for "multipath=off" and "nompath" on kernel cmdline
* multipathd: start daemon after udev trigger (bsc#98673)
* multipathd.service: fixup Wants= and Before= statements (bsc#1019181,
bsc#991742, bsc#986734)
- Update to current upstream (0.6.4-65-ga2675025)
* Avoid that reloading a map sporadically triggers I/O errors
* fix udev rules for failed multipath devices
* multipathd: allow resetting stats
* multipathd: add messages on delayed path addition
* multipathd: don't update priority of failed paths
* libmultipath: cleanup orphan device states
* libmultipath: add detect_checker option
* kpartx: don't keep creating recursive partitions
* multipath-tools: Introducing multipath C API
* multipath-tools: sync valgrind.h with 3.12 upstream
* multipath-tools: add availability of service-time and queue-length to
multipath.conf.5
* multipath-tools: add availability of service-time and queue-length to
multipath.conf.5
* Fill NVMe specific path info
* Don't blacklist nvme
* multipath-tools: fix misspellings
* multipath-tools: git should ignore rej and orig files
* Include sys/sysmacros.h
* Tolerate modprobe failures in multipathd.service
* multipath-tools: Remove trailing and leading whitespaces
* multipath-tools: Perform socket client uid check on IPC commands.
* multipath-tools: Set errno mpath_recv_reply() when failure
* multipath-tools: New way to limit the IPC command length.
* multipath-tools: libmultipath: Removed unused functions.
* multipath-tools: libmultipath: fix gcc link failure on
rcu_register_thread_mb.
* multipath-tools: multipathd: Fix memory leak on load_config().
* [multipathd] Remove trailing whitespaces
* multipathd: deterministic io throughput in multipath

==== open-iscsi ====
Subpackages: iscsiuio

- Merged in SUSE-specific changes from SLE branch, to
bring this up to date with latest upstream, including:
* qedi transport support
* README cleanup
* iscsiuio update
* shutdown cleanup
Also, refactored base tar file to pre 2.0.874-suse and
patches file to everything after that tag.

==== perl-MRO-Compat ====
Version update (0.12 -> 0.13)

- updated to 0.13
see /usr/share/doc/packages/perl-MRO-Compat/Changes

==== pfstools ====
Subpackages: libpfs2 pfscalibration pfstmo

- build also with ImageMagick-7
+ pfstools-ImageMagick7.patch

==== postfix ====
Subpackages: postfix-doc

- Require system group mail
- Use mail group name instead of GID

==== xlockmore ====

- don't require pam-modules and unix2_chkpwd anymore. We use
pam_unix noways which transparently manages access to /etc/shadow

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups